=== PyGphoto_src/Makefile ===
#
# Freevo main makefile
# 
# $Id$
#

CC = gcc
SWIG = swig
SWIGOPTS = -python -I/usr/include
#CFLAGS = -O2 -Wall 
PYTHONVERSION = python2.4

XLIBS = -L/usr/lib -lgphoto2
XINC = -I/usr/include/gphoto2 -I/usr/include/$(PYTHONVERSION)

all: _pygphoto_lowlevel.so

_pygphoto_lowlevel.so: pygphoto_lowlevel_wrap.o
	ld -shared pygphoto_lowlevel_wrap.o $(XLIBS) -o _pygphoto_lowlevel.so

pygphoto_lowlevel_wrap.o: pygphoto_lowlevel_wrap.c
	$(CC) $(CFLAGS) -c pygphoto_lowlevel_wrap.c $(XINC)

pygphoto_lowlevel_wrap.c: pygphoto_lowlevel.i
	$(SWIG) $(SWIGOPTS) pygphoto_lowlevel.i

clean:
	-rm -f *.pyc  
	-rm _pygphoto_lowlevel.so
	-rm pygphoto_lowlevel_wrap.o
	-rm pygphoto_lowlevel_wrap.c
	-rm pygphoto_lowlevel.py
