=== plugins/Makefile ===
include ../config.mk

PARTS = "`find -maxdepth 1 -mindepth 1 -type d -printf "%f"`"

all:
	for arq in $(PARTS); do $(MAKE) -C $$arq all; done

clean:
	rm -f *.o *.a *~
	for arq in $(PARTS); do $(MAKE) -C $$arq clean; done

distclean:
	rm -f *.o *.a *~
	for arq in $(PARTS); do $(MAKE) -C $$arq distclean; done

install:
	for arq in $(PARTS); do $(MAKE) -C $$arq install; done
