=== plugins/goom/Makefile ===
include ../../config.mk

LIBNAME  = libgoom.a
SLIBNAME = libmpav_goom.so

CFLAGS += -I../../include

SRCS    = goom_core.c filters.c lines.c ifs_display.c ifs.c graphic.c zoom_filter_mmx.c surface.c gmtimer.c frame_rate_tester.c sdl_pixeldoubler.c pixeldoubler.c

OBJS = $(SRCS:.c=.o)


all: $(SLIBNAME)
	@echo -e "\033[0;1m GOOM plugin: \033[1;36m$(SLIBNAME)\033[0;1m Please copy it to your library path\033[0m"

.SUFFIXES: .c .o

.c.o:
	$(CC) -c $(CFLAGS) -o $@ $<

$(OBJS): config.h filters.h gmtimer.h goom_core.h graphic.h lines.h surface.h drawmethods.h frame_rate_tester.h goom_config.h goom_tools.h ifs.h pixeldoubler.h mmx.h

$(LIBNAME): $(OBJS) Makefile
	$(AR) r $(LIBNAME) $(OBJS)

$(SLIBNAME): $(LIBNAME)
	$(CC) $(CFLAGS) -shared -o libmpav_goom.so mpav_goom.c libgoom.a

clean:
	rm -f *.o *.a *~

distclean:
	rm -f *.o *.a *~ *.so

install:
	install $(SLIBNAME) -m 755 $(LIB_PREFIX)
