## freevo 1.9.0

=== debian/changelog ===
freevo (1.9.0-5ubuntu1) maverick; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control: Replace Depends on mplayer with xine-ui.
    - debian/scripts/freevo: Fix argument handling. 

 -- Lorenzo De Liso <blackz@ubuntu.com>  Wed, 01 Sep 2010 21:46:43 +0200

freevo (1.9.0-5) unstable; urgency=low

  * [INTL:da] Danish translation of the debconf templates freevo,
    thanks to Joe Dalton (Closes: #588753).
  * fix lintian warnings:
    -  depend on python-all , not python-all-dev
  * update standards version to 3.9.1.0
    - all init scripts exit succesfully if the daemon is already running
  * /usr/share/doc/python-support/README.gz says:
     You don't need X[BS]-Python-Version fields. You don't need 
     debian/pycompat. You don't need to call dh_python after
     dh_pysupport. Just remove all of these.
  
 -- A Mennucc1 <mennucc1@debian.org>  Wed, 11 Aug 2010 16:22:47 +0200

freevo (1.9.0-4ubuntu1) maverick; urgency=low

  * Merge from debian testing, remaining changes:  (LP: #593503)
    - debian/control: Replace Depends on mplayer with xine-ui.
    - debian/scripts/freevo: Fix argument handling.

 -- Charlie Smotherman <cjsmo@ubuntu.com>  Sun, 13 Jun 2010 22:51:34 -0500

freevo (1.9.0-4) unstable; urgency=low
  
  * Thanks Sandro Tosi for the NMU
  * added many new patches, some from upstream
     (for details, see the Bug URL in each of them)
     - dvbstreamer_spaces_in_service.diff : to support channels with spaces
     - encodingcore_no_print.diff  : do not print, use _debug_
       encodingcore_report_failures.diff  :  report mencoder failures
       encodingcore_video_copy_noargs.diff  :  correction for video copy
     - imdb-html5lib.patch : replace beautifulsoup with html5lib in imdb plugin 
        (version 3.1 works well only with python 3, see
         http://www.crummy.com/software/BeautifulSoup/3.1-problems.html )
     - twisted-web-9.diff
        correct the web plugin so that it works with latest twisted    
     - weather.diff : small correction for rare crashes at boot
  * switch to pysupport, thanks to Sandro Tosi
  * debian/control, Vcs-* fields  point to where development is (trunk),
    thanks to Sandro Tosi (Closes: #568021).
  * Switch to dpkg-source 3.0 (quilt) format

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 05 Feb 2010 13:52:39 +0100

freevo (1.9.0-3.1ubuntu1) lucid; urgency=low

  * Merge from debian testing, remaining changes:  (LP: #512922)
    - debian/control: Replace Depends on mplayer with xine-ui.
    - debian/scripts/freevo: Fix argument handling.

 -- Charlie Smotherman <cjsmo@ubuntu.com>  Tue, 26 Jan 2010 12:36:32 -0600

freevo (1.9.0-3.1) unstable; urgency=low

  * Non-maintainer upload, to drop Python 2.4; thanks to Luca Falavigna for the
    report and to Jakub Wilk for the patch; Closes: #562461
    - debian/control
      + drop explicit Depends on python, we use ${python:Depends} for that
      + drop python-elementtree Depends, included in python >= 2.5
  * debian/po/de.po
    - updated German debconf templates translation; thanks to Thomas Mueller for
      the report and patch; Closes: #544609
  * debian/po/vi.po
    - added Vietnamese debconf templates translation; thanks to Clytie Siddall
      for the report and patch; Closes: #547920
  * debian/po/ja.po
    - added Japanese debconf templates translation; thanks to Hideki Yamane for
      the report and patch; Closes: #550967

 -- Sandro Tosi <morph@debian.org>  Tue, 12 Jan 2010 23:19:47 +0100

freevo (1.9.0-3ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control: Replace Depends on mplayer with xine-ui.
    - debian/scripts/freevo: Fix argument handling.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 27 Aug 2009 11:19:08 +0200

freevo (1.9.0-3) unstable; urgency=low

  * Bug fix: "python-xml removal: please drop/replace (build)
    dependencies", thanks to Matthias Klose (Closes: #468586).
  * Bug fix: "Incorrect dependencies in init.d scripts", thanks to Petter
    Reinholdtsen (Closes: #542089).
  * deleted "Choices-C: X server, Recording server, Encoding server, Web server, RSS server" from templates, it breaks postinst

 -- A Mennucc1 <mennucc1@debian.org>  Tue, 25 Aug 2009 22:10:11 +0200

freevo (1.9.0-2ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes: LP: #401317
    + debian/control:
      - Don't Depend on mplayer, but rather xine-ui
    + debian/scripts/freevo:
      - Fix argument handling

 -- Bhavani Shankar <right2bhavi@gmail.com>  Sun, 19 Jul 2009 14:34:53 +0530

freevo (1.9.0-2) unstable; urgency=low

  * Bug fix: "Video playback fails under some circumstances from files on
    removable media", thanks to Darkhorse Winterwolf (Closes: #478574).
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. (Closes: #534415)
  * New templates also fixes Debconf abuse, 
    thanks to Christian Perrier (Closes: #467410)
  * [Debconf translation updates]
  * German. Thanks Georg W. Leonhardt.
  * Basque. Thanks Piarres Beobide. Closes: #535042
  * Finnish. Thanks Esko Arajärvi. Closes: #535115
  * Portuguese. Thanks Américo Monteiro. Closes: #535639
  * Czech. Closes: #535671
  * Swedish. Thanks Martin Bagge. Closes: #536026
  * Spanish. Thanks Francisco Javier Cuadrado. Closes: #536471
  * Russian. Thanks to Yuri Kozlov. Closes: #536562
  * French. Thanks Steve Petruzzello. Closes: #536758
  * Galician. Thanks Marce Villarino. Closes: #537402
  * Fix bashism in /bin/sh script, thanks to Raphael Geissert (Closes: #530975).
  * Fix freevo man page, thanks to A. Costa (Closes: #528277).

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 18 Jul 2009 17:11:30 +0200

freevo (1.9.0-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable (LP: #385645), remaining changes:
    + debian/control:
      - Don't Depend on mplayer, but rather xine-ui
    + debian/scripts/freevo:
      - Fix argument handling


